Bug 1408332 - GNOME on Wayland sessions produce black screen followed by poweroff on Lenovo ThinkPad X201
Summary: GNOME on Wayland sessions produce black screen followed by poweroff on Lenovo...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: wayland
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-12-22 23:58 UTC by Bernard
Modified: 2017-12-12 10:27 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:27:08 UTC


Attachments (Terms of Use)
Journal logs from a first boot which eventually lead to a crash, in reverse chronological order (354.59 KB, text/plain)
2016-12-22 23:58 UTC, Bernard
no flags Details
Journal logs from the boot after the first boot which eventually lead to a crash, in reverse chronological order (283.85 KB, text/plain)
2016-12-23 00:03 UTC, Bernard
no flags Details
Journal logs from a second boot which eventually lead to a crash, in reverse chronological order (572.27 KB, text/plain)
2016-12-23 00:05 UTC, Bernard
no flags Details
Journal logs from the boot after the second boot which eventually lead to a crash, in reverse chronological order (306.61 KB, text/plain)
2016-12-23 00:06 UTC, Bernard
no flags Details
Output of 'lspci -nn' (2.60 KB, text/plain)
2016-12-23 00:07 UTC, Bernard
no flags Details
Output of 'rpm -qa | sort' (80.47 KB, text/plain)
2016-12-23 00:08 UTC, Bernard
no flags Details

Description Bernard 2016-12-22 23:58:37 UTC
Created attachment 1234899 [details]
Journal logs from a first boot which eventually lead to a crash, in reverse chronological order

Description of problem:

On a Lenovo ThinkPad X201, GNOME on Wayland sessions that have been running for a while suddenly result in a black screen for about 10-15 seconds. The computer then turns off (without showing any shutdown logs, or anything else on the screen). Before turning off, there is no disk activity, so I think some error messages are be lost. The system does not respond to keyboard/mouse input while the screen is black.

There are no SELinux denials logged during this period (e.g. shown in the GNOME SELinux Troubleshooter application), and the GNOME Problem Reporting application does not show any issues.

There are no entries in the system journal after about 5 minutes before the crashes.

I would like to add "Blocks: WaylandRelated" to this bug, but do not see an appropriate field on the bug entry form.


Version-Release number of selected component (if applicable):

I have had this problem on both Fedora 24 and Fedora 25. GNOME on X11 sessions are unaffected.

On Fedora 24, I once observed an approximately single pixel-wide yellow line of randomly-moving dots on the left border of the otherwise black screen.


How reproducible: Occurs reliably, but the mechanism is unclear


Steps to Reproduce:
1. Run the system for an hour or so, using common applications such as Gedit, Firefox and Nautilus. (At times, I was only using these three, whereas at other times, I had more programs open.) Simply leaving the computer on without using any applications does not produce the crash.

The time between crashes shortens to 10-20 minutes after the first crash. After a safe shutdown (from GNOME on X11 sessions, which do not crash), the crash comes after about an hour.


Additional info:

About 5 minutes before one of the crashes, the last two entries in the journal were:
- Dec 22 14:18:05 kernel: [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun
- Dec 22 14:18:05 kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

Bugs which seem somewhat similar:
- https://bugs.freedesktop.org/show_bug.cgi?id=98994
  - Refers to the "CPU pipe A FIFO underrun"
- https://bugzilla.gnome.org/show_bug.cgi?id=769954
  - Also a form of system freeze, but linked to the screen timeout interval.

I used the 'sensors' command to rule out overheating (from the 'lm_sensors' package).

Comment 1 Bernard 2016-12-23 00:03 UTC
Created attachment 1234902 [details]
Journal logs from the boot after the first boot which eventually lead to a crash, in reverse chronological order

Journal entries from the boot after https://bugzilla.redhat.com/attachment.cgi?id=1234899&action=edit

Comment 2 Bernard 2016-12-23 00:05 UTC
Created attachment 1234903 [details]
Journal logs from a second boot which eventually lead to a crash, in reverse chronological order

Comment 3 Bernard 2016-12-23 00:06 UTC
Created attachment 1234904 [details]
Journal logs from the boot after the second boot which eventually lead to a crash, in reverse chronological order

The boot after the second example of the journal entries from a boot which ended in a crash, https://bugzilla.redhat.com/attachment.cgi?id=1234903

Comment 4 Bernard 2016-12-23 00:07 UTC
Created attachment 1234905 [details]
Output of 'lspci -nn'

Comment 5 Bernard 2016-12-23 00:08 UTC
Created attachment 1234906 [details]
Output of 'rpm -qa | sort'

List of packages on my system.

Comment 6 Larry O'Leary 2017-01-06 01:22:05 UTC
Same issue for me and the Lenovo T510.

Nothing in the journal. Seems it just stops logging a minute before the screen goes blank or scrambles as if there is a video failure and then just power's off.

Switching to GNOME for Xorg seems to fix the issue so I would assume this is a Wayland issue as well. 

I had the same thing happen on a T540p a few days ago as well.

Comment 7 daniel.kraemer1988 2017-01-16 20:25:31 UTC
Same issue for me on Lenovo x201 BUT with Mate-Spin and X.

Maybe not Wayland related?

Comment 8 Bernard 2017-08-06 00:13:12 UTC
I upgraded to Fedora 26, and have run all of my common graphical applications during a GNOME on Wayland session on my Lenovo ThinkPad X201 for over an hour.

The system seems fine.

Comment 9 Fedora End Of Life 2017-11-16 18:53:51 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2017-12-12 10:27:08 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.